import java.util.Arrays;
import java.util.Scanner;

/**
 *
 * @author Ivan
 */
public class Pikado {

    public static void main(String[] args) {
        int N, K, sum = 0, trenutni;
        int rezultat = 0;
        int[] arr;
        int[] niz;
        Scanner input = new Scanner(System.in);
        N = input.nextInt();
        if (N <= 0) {
            System.err.println("NISTE UNELI VALIDAN PARAMETAR");
            return;
        }
        K = input.nextInt();
        arr = new int[N];
        niz = new int[N+1];       
        for (int i = 0; i < N; i++) {
            arr[i] = input.nextInt();
        }

        Arrays.sort(arr);
        for (int i = 0; i < N; i++) {
            trenutni = arr[i];
            sum = 0;
            
            
                for (int j = i; j < N; j++) {
                if (trenutni == arr[j]) {
                    sum++;
                }

            }
            if (sum >= K) {
                rezultat++;
                niz[rezultat]=arr[i];
            }
            
            for(int k = i; k<N-1;k++){
                if(trenutni==arr[k+1]){
                i++;
            } 
            }
           
            
            
        }
        System.out.println(rezultat);
        for(int i=1;i<=rezultat;i++){
            System.out.print(niz[i]+" ");
        }
    }
}